class UsersController < ApplicationController
  layout 'guest', only: [:new, :forgotten]
  def new
    @user = User.new
  end

  def create
    @user = User.new(user_params)
    if @user.save
      session[:user] = @user.id
      flash[:notice] = 'Successful login'
      redirect_to hello_path
    else
      flash[:notice] = 'Unsuccessful registration'
      redirect_back fallback_location: registration_path
    end
  end

  def edit
  end
  
  def update
  end

  def forgotten
  end
  
  def send_forgottend
  end
  
  private
    def user_params
      params.require(:user).permit([:name, :email, :pluto, :password, :password_confirmation])
    end
end
